//*********************************************
//         SHADER
//*********************************************
//	ID		:	lib3_glass.shader
//	Autor	:	tremap team
//	Date	:	2010.03.00 (y.m.d)
//	Version	:	0.0.5
//	History	:	--
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	material:	_m
//	normal	:	_n
//	reflect	:	_r
//	specular:	_s
//*********************************************
//
textures/lib3_glass/glass003a_m
{	qer_editorimage textures/lib3_glass/blend/glass003a_e.tga
	qer_trans 0.5
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps
	{	//GLASS
		map textures/lib3_glass/blend/glass003a_d.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		depthwrite
	}
	{	//GLASS BORDER
		map textures/lib3_glass/blend/glass003aborder_d.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		rgbGen identity
		rgbGen const ( 1.0 1.0 1.0 )
		depthwrite
	}
	{	//CUBEMAP
		map textures/lib3_glass/cubemap/cubemap001a_d.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	//REFLECT
		map textures/lib3_glass/blend/reflect004b_r.jpg
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		tcMod scale 2 0.6
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
		depthFunc equal
	}
}