//*********************************************
//         SHADER
//*********************************************
//	ID		:	lib3_liquid.shader
//	Autor	:	tremap team
//	Date	:	2010.03.00 (y.m.d)
//	Version	:	0.0.5
//	History	:	--
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	material:	_m
//	normal	:	_n
//	reflect	:	_r
//	specular:	_s
//*********************************************
//
//
//---------------------------------------------
//-- NATURAL
//---------------------------------------------
//
textures/lib3_liquid/natural002a_m8s1
{	qer_editorimage textures/lib3_liquid/blend/natural002c_d.jpg
	qer_trans 0.7
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 512
	deformVertexes wave 1024 sin - 8 - 0.2
	cull none
	{	//ONDE
		map textures/lib3_liquid/blend/water001a_r.jpg
		//blendFunc GL_ONE GL_ONE
		//rgbGen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .00 .04
		tcMod turb - .04 - .04
	}
	{	//LIQUID
		map textures/lib3_liquid/blend/natural002d_d.jpg
		//blendFunc GL_ONE GL_ONE
		//rgbGen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .00 .04
		tcMod turb - .04 - .04
	}
	{	//LIQUID
		map textures/lib3_liquid/blend/natural002c_d.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll 0 .02
		tcMod turb - .02 - .04
	}
	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
	}
}
textures/lib3_liquid/natural002aface_m8s1
{	qer_editorimage textures/lib3_liquid/blend/natural002c_d.jpg
	qer_trans 0.6
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{	//ONDE
		map textures/lib3_liquid/blend/water001a_r.jpg
		//blendFunc GL_ONE GL_ONE
		//rgbGen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll 0 .02
		tcMod turb - .04 - .04
	}
	{	//LIQUID
		map textures/lib3_liquid/blend/natural002c_d.jpg
		//blendFunc GL_ONE GL_ONE
		//rgbGen const ( 0.4 0.4 0.4 )
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll 0 .04
		tcMod turb - .04 - .04
	}
	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
	}
}
textures/lib3_liquid/cascad002a_m
{	qer_editorimage textures/lib3_liquid/blend/natural002c_d.jpg
	qer_trans 0.7
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{	//ONDE
		map textures/lib3_liquid/blend/water001a_r.jpg
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .00 .2
		tcMod turb - .04 - .04
	}
	{	//LIQUID
		map textures/lib3_liquid/blend/natural002d_d.jpg
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen const ( 0.8 0.8 0.8 )
		tcmod scroll .00 .08
		tcMod turb - .04 - .04
	}
	{	//LIQUID
		map textures/lib3_liquid/blend/natural002c_d.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0.4 0.4 0.4 )
		tcmod scroll 0 .04
		tcMod turb - .02 - .04
	}
	{	//LIGHTMAP
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO //blendFunc filter
	}
}